<?php
/**
 * app/controllers/error.php
 *
 * This is the error controller.
 *
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Controllers;

use TheTempusProject\Classes\Controller;
use TheTempusProject\Houdini\Classes\Views;

class Error extends Controller {
    public function index() {
        self::$title = 'Error';
        self::$pageDescription = 'The application has encountered an error.';
        Views::view( 'errors.generic' );
    }

    public function upload404() {
        Views::view( 'errors.upload404' );
    }
}
